namespace: minio-operator

resources:
  - ../latest/

patches:
  - target:
      group: apps
      kind: Deployment
      name: enterprise-operator
      namespace: minio-operator
      version: v1
    patch: |-
      - op: remove
        path: /spec/template/spec/containers/0/securityContext
  - target:
        group: apps
        version: v1
        kind: Deployment
        name: console
        namespace: minio-operator
    patch: |-
        - op: remove
          path: /spec/template/spec/containers/0/securityContext
  - target:
        group: apps
        version: v1
        kind: Deployment
        name: minio-operator
        namespace: minio-operator
    patch: |-
        - op: remove
          path: /spec/template/spec/containers/0/securityContext
  - path: overlay/enterprise-operator-deployment.yaml
    target:
      group: apps
      kind: Deployment
      name: enterprise-operator
      namespace: minio-operator
      version: v1
  - path: overlay/minio-operator-deployment.yaml
    target:
      group: apps
      kind: Deployment
      name: minio-operator
      namespace: minio-operator
      version: v1
  - path: overlay/console-deployment.yaml
    target:
      group: apps
      kind: Deployment
      name: console
      namespace: minio-operator
      version: v1
  - path: overlay/console-service.yaml
    target:
      kind: Service
      name: console
      namespace: minio-operator
      version: v1
  - path: overlay/sts-service.yaml
    target:
      kind: Service
      name: sts
      namespace: minio-operator
      version: v1
